Subject: Re: GPS fun on Droid 4 and leste

From: Pavel Machek <[email-masked]>
Date: Thu, 20 Aug 2020 09:00:45 +0200

Hi!

> > GPS on the droid 4 does not really work out of the box.
> > 
> > gpsd is not in default installation, maybe it should be?
> > 
> > What is worse, there's something broken with gpsd. Try:
> > 
> > /usr/sbin/gpsd -N -D 5 /dev/gnss0
> > gpspipe -w
> > # this seems to work, but do ^C and restart
> > gpspipe -w
> > ...and it hangs.
> 
> Some earlier versions of gpsd I think had issues where you could
> only connect one client. Or it was a bug in the kernel drivers..
> Anyways, multiple gpspipe instances have been working for me for
> a while now with gpsd-3.21.
> 
> I also found some issues in gnss-motmdm driver for closing the
> gnss device, see:
> 
> https://github.com/tmlind/linux/commits/droid4-pending-v5.8
> 
> And I think the xtra2.bin data for agps is now working too :)
> 
> https://github.com/tmlind/droid4-agps/commits/master
> 
> At least I now get a fix in about two minutes after running the
> update.sh, going outside, and starting cgps.

Ok, let me play. But you should be getting fix in two minutes
_without_ AGPS support, if GPS is any good...

Best regards,
									Pavel

-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel